package com.example.mobile_labs.api.models

import com.example.mobile_labs.database.event.model.Event
import com.example.mobile_labs.database.person.model.Person
import kotlinx.serialization.Serializable
import java.time.LocalDate

@Serializable
data class PersonRemote(
    val id: Int = 0,
    val last_name: String = "",
    val first_name: String = "",
    val image_url: String = ""
)

fun PersonRemote.toPerson(): Person = Person(
    id,
    last_name,
    first_name,
    image_url
)