package com.example.mobile_labs.common

import androidx.paging.PagingData
import com.example.mobile_labs.database.event.model.Event
import com.example.mobile_labs.database.event.model.EventWithPerformance
import kotlinx.coroutines.flow.Flow

interface EventRepository {
    fun getAllWithPerformance(): Flow<PagingData<EventWithPerformance>>
}