package com.example.mobile_labs.database.event.model

import androidx.room.Embedded
import androidx.room.Relation
import com.example.mobile_labs.database.performance.model.Performance

data class EventWithPerformance (
    @Embedded
    val event: Event,
    @Relation(entity = Performance::class, parentColumn = "performance_id", entityColumn = "performance_uid")
    val performance: Performance,
)