package com.example.mobile_labs.database.person.model

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.Ignore
import androidx.room.PrimaryKey
import java.io.Serializable

@Entity(tableName = "people")
data class Person(
    @PrimaryKey(autoGenerate = true)
    val uid: Int?,
    val last_name: String,
    val first_name: String,
    @ColumnInfo(name = "image_url")
    val imageURL: String,
) {
    override fun equals(other: Any?): Boolean {
        if (this === other) return true
        if (javaClass != other?.javaClass) return false
        other as Person
        if (uid != other.uid) return false
        return true
    }

    override fun hashCode(): Int {
        return uid ?: -1
    }
}