package com.example.mobile_labs.ui.performance.list

import androidx.lifecycle.ViewModel
import androidx.paging.PagingData
import com.example.mobile_labs.database.performance.model.Performance
import com.example.mobile_labs.common.PerformanceRepository
import kotlinx.coroutines.flow.Flow

class PerformanceListViewModel(
    private val performanceRepository: PerformanceRepository
) : ViewModel() {
    val performanceListUiState: Flow<PagingData<Performance>> = performanceRepository.getAllPerformances()
}