package com.example.mobile_labs.common

import androidx.paging.PagingData
import com.example.mobile_labs.database.performance.model.Performance
import com.example.mobile_labs.database.performance.model.PerformanceWithPeople
import kotlinx.coroutines.flow.Flow

interface PerformanceRepository {
    fun getAllPerformances(): Flow<PagingData<Performance>>
    suspend fun getPerformance(uid: Int): PerformanceWithPeople
}