package com.example.mobile_labs.ui.event.list

import androidx.lifecycle.ViewModel
import androidx.paging.PagingData
import com.example.mobile_labs.common.EventRepository
import com.example.mobile_labs.database.event.model.EventWithPerformance
import kotlinx.coroutines.flow.Flow

class EventListViewModel(
    private val eventRepository: EventRepository
) : ViewModel() {
    val eventListUiState: Flow<PagingData<EventWithPerformance>> = eventRepository.getAllWithPerformance()
}
