package com.example.mobile_labs.ui.person.list

import androidx.lifecycle.ViewModel
import androidx.paging.PagingData
import com.example.mobile_labs.database.person.model.Person
import com.example.mobile_labs.common.PersonRepository
import kotlinx.coroutines.flow.Flow

class PeopleListViewModel(
    private val personRepository: PersonRepository
) : ViewModel() {
    val personListUiState: Flow<PagingData<Person>> = personRepository.getAllPeople()
}